Package org.eclipse.emf.cdo.common.lob

## Class CDOLobStore.Delegating

- java.lang.Object
- - org.eclipse.emf.cdo.common.lob.CDOLobStore.Delegating

- All Implemented Interfaces:
    `CDOLobStore`
  Enclosing interface:
    CDOLobStore

      public abstract static class CDOLobStore.Delegating
      extends java.lang.Object
      implements CDOLobStore

  An abstract `large object store` that delegates all method calls to a delegate.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.lob.CDOLobStore

      `CDOLobStore.Delegating`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Delegating()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.io.InputStream` | `getBinary​(CDOLobInfo info)` |
    `java.io.File` | `getBinaryFile​(byte[] id)` |
    `java.io.Reader` | `getCharacter​(CDOLobInfo info)` |
    `java.io.File` | `getCharacterFile​(byte[] id)` |
    `protected abstract CDOLobStore` | `getDelegate()` |
    `CDOLobInfo` | `putBinary​(java.io.InputStream contents)` |
    `CDOLobInfo` | `putCharacter​(java.io.Reader contents)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Delegating

          public Delegating()

  - ### Method Detail

    - #### getBinaryFile

          public java.io.File getBinaryFile​(byte[] id)

      Specified by:
        `getBinaryFile` in interface `CDOLobStore`

    - #### getBinary

          public java.io.InputStream getBinary​(CDOLobInfo info)
                                        throws java.io.IOException

      Specified by:
        `getBinary` in interface `CDOLobStore`
      Throws:
        `java.io.IOException`

    - #### putBinary

          public CDOLobInfo putBinary​(java.io.InputStream contents)
                               throws java.io.IOException

      Specified by:
        `putBinary` in interface `CDOLobStore`
      Throws:
        `java.io.IOException`

    - #### getCharacterFile

          public java.io.File getCharacterFile​(byte[] id)

      Specified by:
        `getCharacterFile` in interface `CDOLobStore`

    - #### getCharacter

          public java.io.Reader getCharacter​(CDOLobInfo info)
                                      throws java.io.IOException

      Specified by:
        `getCharacter` in interface `CDOLobStore`
      Throws:
        `java.io.IOException`

    - #### putCharacter

          public CDOLobInfo putCharacter​(java.io.Reader contents)
                                  throws java.io.IOException

      Specified by:
        `putCharacter` in interface `CDOLobStore`
      Throws:
        `java.io.IOException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getDelegate

          protected abstract CDOLobStore getDelegate()